package com.safeway.epe.offersdataproducer.dtomodel;

import com.fasterxml.jackson.annotation.JsonTypeName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@JsonTypeName
public class BenefitDTO {
    private String benefitValueType;
    private List<DiscountDTO> discountDTO;
    private List<PointsDTO> pointsDTO;
}
